<!DOCTYPE html>
<html lang="fr" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modifier le groupe</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <link rel="stylesheet" th:href="@{/css/style.css}">

    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
        integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
</head>
<body>
    
    <div class="container">
        <h1 class="text-center text-light">Modifier le groupe</h1>
        <form th:action="@{'/update/' + ${groups.id}}" th:object="${groups}" method="post" class="form w-50 mx-auto">
            <div class="form-group">
                <label for="group_name">Nom du groupe</label>
                <input type="text" id="group_name" name="group_name" th:field="*{group_name}" class="form-control shadow-none" autofocus />
            </div>
            <div class="form-group">
                <label for="group_type">Type de groupe</label>
                <input type="text" id="group_type" name="group_type" th:field="*{group_type}" class="form-control shadow-none" />
            </div>
            <div class="form-group">
                <label for="group_description">Description</label>
                <input type="group_description" id="group_description" name="group_description" th:field="*{group_description}" class="form-control shadow-none" />
            </div>
            <div>
                <button type="submit" class="btn btn-primary w-100 mt-3 shadow-none">Modifier</button>
            </div>
        </form>
        <a th:href="@{/}" class="d-block text-end w-50 mx-auto mt-3"><- Retour à la liste</a>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
</body>
</html>